#import "@preview/polylux:0.3.1": *

#set page(paper: "presentation-16-9")

#set text(font: "Atkinson Hyperlegible", size: 1.5em)
// headings absichtlich in default typst font
#show heading: set text(font: "Linux Libertine")

#let muted = rgb("444")

#let person(pfp, name, pronouns, description) = {
  // warum kann ich die font hier nicht setzen?
  show heading: set text(weight: "regular");
  stack(
    dir: ltr,
    box(clip: true, radius: 100%, image("assets/" + pfp, height: 33%)),
    align(
      top,
      box(
        inset: (top: 16pt, left: 20pt),
      )[
        == #text(font: "Montserrat", size: 1.5em, name) #text(font: "Montserrat", size: 1em, fill: muted, pronouns)
        #description
      ],
    ),
  )
}

#polylux-slide(align(horizon + center)[
  = typst - Dokumente schreiben macht auf einmal Spaß?!
  #text(fill: muted)[_von Schrottkatze & Multisamplednight_]
])

#polylux-slide[
  = Wer sind wir?

  #align(
    horizon,
    grid(
      rows: (auto, auto),
      gutter: 12%,
      person("schrottkatze-pfp.jpg", [ Schrottkatze ], [ sie/ihr ], [ TODO ]),
      person("multisn8-pfp.jpg", [ Multisamplednight ], [ \* ], [ TODO ]),
    ),
  )
]

// irgendwie zu kurz?
#polylux-slide[
  = Setup

  - Web-app (Proprietär, braucht einen Account)
  - CLI
    - Installation via Paketmanager falls verfügbar (Arch, Nix, Void, Homebrew)
    - von Github Release: github.com/typst/typst/releases
]

#polylux-slide[
= CLI Benutzung

- `typst compile` kompiliert ein Dokument
- `typst watch` rekompiliert bei allen änderungen
- Die `--open` flag öffnet Dokumente im standard PDF-Viewer
]
